*-------------------------------------------------------------------------------
* CLEANING: PHONE SURVEY HH COMPOSITION (PS_HH_composition)
*-------------------------------------------------------------------------------															

/*
NOTES: 

	- THIS DO FILE NEEDS ATTENTION:
		- WE'RE USING ps_all_outcomes.dta to create children_endline.dta
		- But children_endline.dta file is merged to create ps_all_outcomes.dta in PS_merge_alloutcomes.do file... 

*/

clear all
set more off
program drop _all
set maxvar 10000

adopath ++ "$ado"


program main 
	import_data
	create_var
	collapse_data
	add_respondent																														
end		

program import_data																													
	use "${dr}/Phone Survey/00_raw_private/PS_clean_final.dta", replace
	
	keep IID q401a q402_* q403_* q404_* q405_* q406_* q407_* q408_* q409_* q410_*_* q411_* 																																	
	drop *prob*
	
	reshape long q402_ q403_ q404_ q405_ q406_ q407_ q408_ q409_ /// 																																		
             q410_1_ q410_2_ q410_3_ q410_4_ q410_5_ q411_ q405_months_, i(IID) j(person)																														
	order _all, seq
end

program create_var
/*
ta q406_ if age<=17
codes for <=17 years:
6	Current Spouse/Partner
8	Brother
9	Sister
10	Cousin
13	Son (biological)
14	Daughter (biological)
38	Son (adopted)
39	Daughter (adopted)
15	Grandchild
21	Brother/Sister in Law
23	Other Relative
24	Current Neighbour
29	Other Friend 
35	Step Brother/Sister
36	Nephew/Niece
41	Daughter-in-law
*/


	replace q405_ = (q405_months_/12) if q405_==0 /*13 children are 0 years old*/																																		
	gen age = q405_	
	
	gen direct_kid=q406_== 6 |q406_== 8 |q406_== 9 |q406_== 13 |q406_== 14 if age!=. & age<=17
	gen indirect_kid=q406_== 10 |q406_== 38 |q406_== 39 |q406_== 15 |q406_== 21 /// 
	    |q406_== 23 |q406_== 24 |q406_== 29 |q406_== 35 |q406_== 36 |q406_== 41 |q406_==. if age!=. & age<=17
	gen direct_kid2   = direct_kid
	replace direct_kid2 = 1 if q406_==. & age!=.
	gen indirect_kid2 = indirect_kid
	replace indirect_kid2 = 1 if q406_==. & age!=.
	su direct_kid indirect_kid direct_kid2 indirect_kid2 
	**gender																																		
	gen female = .																																		
		replace female = 1 if q404_ == 2																																	
		replace female = 0 if q404_ == 1																																	
																																			
	gen male = .																																		
		replace male = 0 if q404_ == 2																																	
		replace male = 1 if q404_ == 1																																	
																																			
	gen girl = (female==1 & age <= 17)																																		
		replace girl=. if female==. | age == .																																	
																																			
	gen boy = (male==1 & age <= 17)																																		
		replace boy=. if male==. | age == .	
		
	gen kid = ( age <= 17)																																		
		replace kid=. if age == .	

	**Kids																																		
	gen kid_0to6 = (age <=6 & age >= 0)																																		
		replace kid_0to6 = . if age == .	
	gen kid_7to12 = (age <= 12 & age >=7)																																		
		replace kid_7to12 = . if age == .
	gen kid_0to12 = (age <=12 & age >= 0)	
		replace kid_0to12 = . if age == .
	gen kid_13to17 = (age <= 17 & age >=13)																																		
		replace kid_13to17 = . if age == .
	gen kid_7to17 = (age <= 17 & age >=7)																																		
		replace kid_7to17 = . if age == .	
		
	gen girl_0to6 = (female==1 & age <=6 & age >= 0)																																		
		replace girl_0to6 = . if age == .	| female == .
	gen girl_7to12 = (female==1 & age <= 12 & age >= 7)																																		
		replace girl_7to12 = . if age == .	| female == .
	gen girl_0to12 = (female==1 & age <= 12 & age >=0)
		replace girl_0to12 = . if age == . | female == .
	gen girl_13to17 = (female==1 & age <= 17 & age >=13)																																		
		replace girl_13to17 = . if age == . | female == .
	gen girl_7to17 = (female==1 & age <= 17 & age >=7)																																		
		replace girl_7to17 = . if age == .	| female == .		

	gen boy_0to6 = (male==1 & age <=6 & age >= 0)																																		
		replace boy_0to6 = . if age == .	| male == .	
	gen boy_7to12 = (male==1 & age <= 12 & age >=7)																																		
		replace boy_7to12 = . if age == .	| male == .	
	gen boy_0to12 = (male==1 & age <= 12 & age >=0)
		replace boy_0to12 = . if age == .	| male == .
	gen boy_13to17 = (male==1 & age <= 17 & age >=13)																																		
		replace boy_13to17 = . if age == . | male == .
	gen boy_7to17 = (male==1 & age <= 17 & age >=7)																																		
		replace boy_7to17 = . if age == .	| male == .	
		
	gen direct_boy_13to17 = (direct_kid==1 & male==1 & age <= 17 & age >=13) if direct_kid!=. & male!=. & age!=.
	gen indirect_boy_13to17 = (indirect_kid==1 & male==1 & age <= 17 & age >=13) if indirect_kid!=. & male!=. & age!=.
			 
	***adults
	gen adult = (age >=18)
		replace adult=. if age==.
	gen adult18to39 = (age>=18 & age<=39)
		replace adult18to39 = . if age==.	
	gen adult18to59 = (age>=18 & age<=59)
		replace adult18to59 = . if age==.	
	gen adult60more = (age>=60)
		replace adult60more = . if age==.
		
	gen woman = (age >=18 & female==1)
		replace woman=. if age==. | female==.
	gen woman18to39 = (age>=18 & age<=39 & female==1)
		replace woman18to39 = . if age==. | female==.	
	gen woman18to59 = (age>=18 & age<=59 & female==1)
		replace woman18to59 = . if age==. | female==.	
	gen woman60more = (age>=60 & female==1)
		replace woman60more = . if age==. | female==.
		
	gen man = (age >=18 & male==1)
		replace man=. if age==. | male==.	
	gen man18to39 = (age>=18 & age<=39 & male==1)
		replace man18to39 = . if age==. | male==.	
	gen man18to59 = (age>=18 & age<=59 & male==1)
		replace man18to59 = . if age==. | male==.	
	gen man60more = (age>=60  & male==1)
		replace man60more = . if age==.| male==.
		
end

program collapse_data

/*
	preserve
	rename q402_ Name
	merge m:1 IID using "${dr}/Phone Survey/00_raw_private/PS_all_outcomes.dta"																																		
	keep IID Key_USE Name kids_* girls_* boys_* adults_* women_* men_* 
	save "${dr}/Phone Survey/00_raw_private/children_endline_long.dta", replace
	restore
*/
	
	collapse (sum)  kids_hh          = kid /// 
			 (sum)  kids_0to6_hh     = kid_0to6 /// 
			 (sum)  kids_7to12_hh    = kid_7to12 /// 
			 (sum)  kids_0to12_hh    = kid_0to12 /// 
			 (sum)  kids_13to17_hh   = kid_13to17 /// 																																																																				
			 (sum)  kids_7to17_hh    = kid_7to17 /// 																																		
			 (sum)  girls_hh         = girl /// 																																																																			
			 (sum)  girls_0to6_hh    = girl_0to6 /// 																																																																			
			 (sum)  girls_7to12_hh   = girl_7to12 /// 																																																																																																																																																																																																
			 (sum)  girls_0to12_hh   = girl_0to12 /// 																																																																																																																																																																																																
			 (sum)  girls_13to17_hh  = girl_13to17 /// 																																																																			
			 (sum)  girls_7to17_hh   = girl_7to17 /// 																																																																			
			 (sum)  boys_hh          = boy /// 																																																																
			 (sum)  boys_0to6_hh     = boy_0to6 /// 																																		
			 (sum)  boys_7to12_hh    = boy_7to12 /// 																																																																																																																																																																																																				
			 (sum)  boys_0to12_hh    = boy_0to12 /// 																																																																																																																																																																																																				
			 (sum)  boys_13to17_hh   = boy_13to17 /// 																																		
			 (sum)  boys_7to17_hh    = boy_7to17 /// 	
			 (sum)  adults_hh        = adult /// 
			 (sum)  adults_18to39_hh = adult18to39 /// 
			 (sum)  adults_18to59_hh = adult18to59 /// 
			 (sum)  adults_60more_hh = adult60more /// 
			 (sum)  women_hh         = woman /// 
			 (sum)  women_18to39_hh  = woman18to39 /// 
			 (sum)  women_18to59_hh  = woman18to59 /// 
			 (sum)  women_60more_hh  = woman60more /// 
			 (sum)  men_hh           = man /// 
			 (sum)  men_18to39_hh    = man18to39 /// 
			 (sum)  men_18to59_hh    = man18to59 /// 
			 (sum)  men_60more_hh    = man60more /// 
			 (sum)  direct_kids_hh   = direct_kid /// 
			 (sum)  indirect_kids_hh = indirect_kid /// 			 
			 (sum)  direct_boy_13to17_hh   = direct_boy_13to17 /// 
			 (sum)  indirect_boy_13to17_hh = indirect_boy_13to17 /// 
			 , by(IID) 																														

end	


program add_respondent
	merge 1:1 IID using "$dir\data\outcomes\PS_all_outcomes.dta"																																		
	drop _merge	
	replace adults_hh        = adults_hh         + 1 
	replace adults_18to39_hh = adults_18to39_hh  + 1 if q202a>=18 & q202a<=39
	replace adults_18to59_hh = adults_18to59_hh  + 1 if q202a>=18 & q202a<=59
	replace adults_60more_hh = adults_60more_hh  + 1 if q202a>=60
	
	replace women_hh         = women_hh         + 1 if q202c==2
	replace women_18to39_hh  = women_18to39_hh  + 1 if q202c==2 & q202a>=18 & q202a<=39
	replace women_18to59_hh  = women_18to59_hh  + 1 if q202c==2 & q202a>=18 & q202a<=59
	replace women_60more_hh  = women_60more_hh  + 1 if q202c==2 & q202a>=60
	
	replace men_hh           = men_hh           + 1 if q202c==1
	replace men_18to39_hh    = men_18to39_hh    + 1 if q202c==1 & q202a>=18 & q202a<=39
	replace men_18to59_hh    = men_18to59_hh    + 1 if q202c==1 & q202a>=18 & q202a<=59
	replace men_60more_hh    = men_60more_hh    + 1 if q202c==1 & q202a>=60
	keep IID kids_* girls_* boys_* adults_* women_* men_* Key_USE direct_* indirect_* 
	save "$dir\data\outcomes\children_endline.dta", replace
	
end	

 
*Execute
 main
