*-------------------------------------------------------------------------------
* CLEANING: PHONE SURVEY EDUCATION (PS_T17_education)
*-------------------------------------------------------------------------------

/*
NOTES: 

	- 

*/

clear all
set more off
program drop _all
set maxvar 10000

adopath ++ "$ado"


*-------------------------------------------------------------------------------
* NOTES FROM THE PRE-ANALYSIS PLAN 
*-------------------------------------------------------------------------------


/*

Table of Contents

***** Title from Table 17 in Pre-Analysis Plan ----- var name

***** 17.1 Years of schooling ---------------------- head_edu

*/



clear all
set more off
set maxvar 10000


*-------------------------------------------------------------------------------
* CLEAN
*-------------------------------------------------------------------------------

* Load the dataset + merge 
use "$dr/Phone Survey/00_raw_private/PS_clean_final.dta", clear


sort IID



**********************************
***** 17.1 Years of schooling*****
**********************************

ta q401a
ta q401a,nol

ta q407_1
ta q407_1,nol

gen head_edu = .

forval i = 1/17 {
		replace head_edu = 0 if q407_`i'==0 & q407_`i'!=. & q401a==1 & q401a!=.
		replace head_edu = 0 if q407_`i'==1 & q407_`i'!=. & q401a==1 & q401a!=.
		replace head_edu = 0 if q407_`i'==2 & q407_`i'!=. & q401a==1 & q401a!=.
		replace head_edu = 1 if q407_`i'==3 & q407_`i'!=. & q401a==1 & q401a!=.
		replace head_edu = 2 if q407_`i'==4 & q407_`i'!=. & q401a==1 & q401a!=.
		replace head_edu = 2 if q407_`i'==7 & q407_`i'!=. & q401a==1 & q401a!=.
		replace head_edu = 3 if q407_`i'==8 & q407_`i'!=. & q401a==1 & q401a!=.
		replace head_edu = 3 if q407_`i'==9 & q407_`i'!=. & q401a==1 & q401a!=.
		replace head_edu = 3 if q407_`i'==11 & q407_`i'!=. & q401a==1 & q401a!=.
	}	

	
tab head_edu
su head_edu

label var head_edu "0 if hh head's edu is nursery/none; 1 element; 2 grade 7-12; 3 if diploma/BA/MA "


***************************************************************************
sum head_edu IID
des head_edu IID
keep head_edu IID

save "$dr/Phone Survey/PS_T17_education.dta", replace
