* add in version here?
clear all
set more off
pause on


** Stata options
set more off
set matsize 1000
set maxvar 32000


// global dir "${ge_dir}"

// adopath ++ "$dir/ado/ssc"
// adopath ++ "$dir/ado"


* Disable project (since running do-files directly)
cap program drop project
program define project, rclass
	syntax [name(name=pname id="Project Name")] [, cd do(string) creates(string) uses(string) original(string) build preserve]

	if "`do'" != "" {
		do `do'
	}
	else if "`cd'" != "" {
		// Search along the ado-path for the dataset of projects
		cap findfile "project.dta"
		if _rc {
			dis as err "The dataset of projects was not found."
			exit _rc
		}
		local projects "`r(fn)'"
		
		
		preserve
		
		
		use "`projects'", clear

		qui keep if pname == "`pname'"
		if _N == 0 {
			dis as err `"project "`pname'" not found"'
			exit 459
		}
		else {
			cd "`=path'"
			return local pwd "`=path'"
		}
	}
	else {
		di "Project is disabled, skipping project command. (To re-enable, run -{stata program drop project}-)"
	}
end
