/*
 ---------------------------------
program: load_env
description: Loads the variables defined in the .env file. Variables expected:
				- DATA_PATH: Path to data files
---------------------------------

*/
capture program drop load_env
program define load_env
	args env_file
    quietly {
        tempname fh
        file open `fh' using "`env_file'", read
        file read `fh' line
        while r(eof) == 0 {
            // Trim leading and trailing whitespace
            local line = strtrim(`"`line'"')
            // Skip empty lines and comment lines
            if !(strlen(`"`line'"') == 0 | substr(`"`line'"', 1, 1) == "#") {
                if regexm(`"`line'"', "^([^=]+)=(.*)$") {
                    local name = strtrim(regexs(1))
                    local value = strtrim(regexs(2))
                    global `name' `"`value'"'
                }
            }
            file read `fh' line
        }
        file close `fh'

    }
end