* ---------------------------------------------------------------------
* Setup project directory
*	- Uses 'project' to setup project directory 
*	- Defaults to current working directory if project is not being used
* ---------------------------------------------------------------------
capture project, doinfo
if _rc==0{
	global project_dir "`r(pdir)'"
	di "Setting project directory from 'project' to $project_dir"
}
else{
	project srls_analysis, cd
	global project_dir "`c(pwd)'"	
	di "Setting project directory from current working directorty to $project_dir"
// 	do "`c(pwd)'/code/do/setup/disable_project.do"
}

* ---------------------------------------------------------------------
* Load Global Macros
*	- The .env file in the project directory has the user-specific path to the data directory stored in the global $DATA_PATH
*	- Defaults to current working directory if project is not being used
* ---------------------------------------------------------------------

// Load .env file (has the DATA_PATH variable)
do "$project_dir/code/do/setup/load_env.do"
load_env "$project_dir/.env"
include "$project_dir/code/do/setup/globals.do"

adopath ++ "$ado"					
