
clear all
macro drop _all
program drop _all



* ---------------------------------------------------------------------
* Setup project directory
*	- Uses 'project' to setup project directory 
*	- Defaults to current working directory if project is not being used
* ---------------------------------------------------------------------
capture project, doinfo
if _rc==0{
	global project_dir "`r(pdir)'"
	di "Setting project directory from 'project' to $project_dir"
	project, relies_on("$project_dir/code/do/setup/load_env.do")
	project, relies_on("$project_dir/code/do/setup/globals.do")
}
else{
	project srls_analysis, cd
	global project_dir "`c(pwd)'"	
	di "Setting project directory from current working directorty to $project_dir"
	do "`c(pwd)'/code/do/setup/disable_project.do"
}

* ---------------------------------------------------------------------
* Load DATA_PATH
* ---------------------------------------------------------------------
do "$project_dir/code/do/setup/load_env.do"

load_env ".env"
di "DATA_Path is set to $DATA_PATH"

* ---------------------------------------------------------------------
* Setup path globals
* ---------------------------------------------------------------------

include "$project_dir/code/do/setup/globals.do"


adopath ++ "$ado"

di "Data analysis path: $da"
project, do($do/analysis/Table1_Balance.do)
project, do($do/analysis/Table2_Prediction.do)
project, do($do/analysis/Table3_PanelRetentionandCompliance.do)
project, do($do/analysis/Table4_PooledTE.do)
project, do($do/analysis/Table5_Midline.do)
project, do($do/analysis/Table6_Endline_Followup.do)
project, do($do/analysis/Table7_SocialCohesion.do)

project, do($do/analysis/TableA1.do)
project, do($do/analysis/TableA2.do)
project, do($do/analysis/TableA3_PanelA.do)
project, do($do/analysis/TableA3_PanelB.do)
project, do($do/analysis/TableA4.do)
project, do($do/analysis/TableB1_GenderHeterogeneity.do)
project, do($do/analysis/TableB2_NeighborHet.do)
project, do($do/analysis/TableC1.do)
